aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/scripts/lib.sh
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-11-08 02:09:13 +0100
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-11-08 11:42:13 +0000
commitee0d0d60d32192b17ee5670cf077e028c75ba29a (patch)
treefc382b44ed57cb74e548ae259239a74eaafe9995 /mcp/scripts/lib.sh
parent62e032ab0276fde84df3384bd341aa53e87fc88a (diff)
lib.sh: Cleanup previous /boot/efi contents
Some UEFI firmwares insist on scanning removable drives, even when boot entries were deleted from UEFI boot list (board flash). To work around this, remove contents of </boot/efi/*>, so scanning won't identify any valid EFI binaries. Another option would be erasing partition tables, but identifying the underlying disk(s) is more complicated, especially when using LVM/RAID etc. Change-Id: I9949b99b139b1642e3bd8f04de3bd5ef74d1ecc5 Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com> (cherry picked from commit a0a93056d5d5c52b739a2bc8fe0e2aaabb962f36)
Diffstat (limited to 'mcp/scripts/lib.sh')
-rw-r--r--mcp/scripts/lib.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
index 6b7193b3f..c6d5d26ce 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -41,7 +41,8 @@ function cleanup_uefi {
ssh ${SSH_OPTS} "${SSH_SALT}" "sudo salt -C 'kvm* or cmp*' cmd.run \
\"which efibootmgr > /dev/null 2>&1 && \
efibootmgr | grep -oP '(?<=Boot)[0-9]+(?=.*ubuntu)' | \
- xargs -I{} efibootmgr --delete-bootnum --bootnum {}\"" || true
+ xargs -I{} efibootmgr --delete-bootnum --bootnum {}; \
+ rm -rf /boot/efi/*\"" || true
}
function cleanup_vms {